package com.yihu.hos.resource.model;

/**
 * Created by chenweida on 2016/1/25.
 */
public class RsAppResourceDetail {
    private String id;
    private String appResouceId;
    private String metadataId;
    private String dimensionId;
    private String dimensionValue;
    private String valid;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppResouceId() {
        return appResouceId;
    }

    public void setAppResouceId(String appResouceId) {
        this.appResouceId = appResouceId;
    }

    public String getMetadataId() {
        return metadataId;
    }

    public void setMetadataId(String metadataId) {
        this.metadataId = metadataId;
    }

    public String getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(String dimensionId) {
        this.dimensionId = dimensionId;
    }

    public String getDimensionValue() {
        return dimensionValue;
    }

    public void setDimensionValue(String dimensionValue) {
        this.dimensionValue = dimensionValue;
    }

    public String getValid() {
        return valid;
    }

    public void setValid(String valid) {
        this.valid = valid;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        RsAppResourceDetail that = (RsAppResourceDetail) o;

        if (id != null ? !id.equals(that.id) : that.id != null) return false;
        if (metadataId != null ? !metadataId.equals(that.metadataId) : that.metadataId != null) return false;
        if (dimensionId != null ? !dimensionId.equals(that.dimensionId) : that.dimensionId != null) return false;
        if (dimensionValue != null ? !dimensionValue.equals(that.dimensionValue) : that.dimensionValue != null)
            return false;
        if (valid != null ? !valid.equals(that.valid) : that.valid != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = id != null ? id.hashCode() : 0;
        result = 31 * result + (metadataId != null ? metadataId.hashCode() : 0);
        result = 31 * result + (dimensionId != null ? dimensionId.hashCode() : 0);
        result = 31 * result + (dimensionValue != null ? dimensionValue.hashCode() : 0);
        result = 31 * result + (valid != null ? valid.hashCode() : 0);
        return result;
    }
}
